<?php
/*
Plugin Name: Live News
Description: Real Time News
Version: 1.43
Author: daext
Author URI: http://www.daext.com
Share  URI: http://www.20script.ir
*/

//embedding external files
include 'class/lib_class.php';//library class
include 'class/mobiledetect/Mobile_Detect.php';//mobile detection class
require_once('includes/activation.php');//database creation
require_once('class/pagination.php');//pagination class
require_once('includes/embed.php');//embed css and js files
require_once('includes/front_end.php');//front end content
require_once('includes/menu_options.php');//menu options
require_once('includes/menu_featured_news.php');//menu featured news
require_once('includes/menu_sliding_news.php');//menu sliding news

//create the easy reading menu
add_action( 'admin_menu', 'dc_ln_admin_menu' );
function dc_ln_admin_menu() {
	
	$form_name='Live News';

	add_menu_page($form_name, $form_name, 'manage_options', 'dc_ln_menu','dc_ln_menu_options');
	add_submenu_page('dc_ln_menu', $form_name.' - Options', 'Options', 'manage_options', 'dc_ln_menu', 'dc_ln_menu_options');
	add_submenu_page('dc_ln_menu', $form_name.' - Featured News', 'Featured News', 'manage_options', 'dc_ln_featured_news', 'dc_ln_featured_news');
	add_submenu_page('dc_ln_menu', $form_name.' - Sliding News', 'Sliding News', 'manage_options', 'dc_ln_sliding_news', 'dc_ln_sliding_news');
	
}

//delete database and options when the plugin is uninstalled
register_uninstall_hook( __FILE__, 'dc_ln_uninstall' );
function dc_ln_uninstall(){
	
	//deleting tables
	global $wpdb;
	
	$table_name=$wpdb->prefix . "dc_ln_featured_news";
	$sql = "DROP TABLE $table_name";
	mysql_query($sql);
	
	$table_name=$wpdb->prefix . "dc_ln_sliding_news";
	$sql = "DROP TABLE $table_name";
	mysql_query($sql);	

	//deleting options
	delete_option('dc_ln_database_version');	
	delete_option('dc_ln_clock_offset');
	delete_option('dc_ln_main_color');
	delete_option('dc_ln_sliding_speed');
	delete_option('dc_ln_number_sliding_news');
	delete_option('dc_ln_default_status');
	delete_option('dc_ln_font_family');
	delete_option('dc_ln_google_fonts');
	delete_option('dc_ln_featured_title_font_size');
	delete_option('dc_ln_featured_excerpt_font_size');
	delete_option('dc_ln_news_mode');
	delete_option('dc_ln_rss_url');
	delete_option('dc_ln_excerpt_length');
	delete_option('dc_ln_category');
	delete_option('dc_ln_hide_featured');
	delete_option('dc_ln_hide_clock');
	delete_option('dc_ln_rtl_layout');
	
}

?>